# multiway_mergesort.h File Reference

Parallel multiway merge sort. This file is a GNU parallel extension to the Standard C++ Library. More...

Go to the source code of this file.

## Classes

- struct __gnu_parallel::Piece< _DifferenceTp >
    Subsequence description. More...
- struct __gnu_parallel::PMWMSSortingData< RandomAccessIterator >
    Data accessed by all threads. More...
- struct __gnu_parallel::split_consistently< exact, RandomAccessIterator, Comparator, SortingPlacesIterator >
    Split consistently. More...
- struct __gnu_parallel::split_consistently< false, RandomAccessIterator, Comparator, SortingPlacesIterator >
    Split by sampling. More...
- struct __gnu_parallel::split_consistently< true, RandomAccessIterator, Comparator, SortingPlacesIterator >
    Split by exact splitting. More...

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_MULTIWAY_MERGESORT_H

## Functions

- template<typename RandomAccessIterator , typename _DifferenceTp > void __gnu_parallel::determine_samples (PMWMSSortingData< RandomAccessIterator > *sd, _DifferenceTp num_samples)
- template<bool stable, bool exact, typename RandomAccessIterator , typename Comparator > void __gnu_parallel::parallel_sort_mwms (RandomAccessIterator begin, RandomAccessIterator end, Comparator comp, thread_index_t num_threads)
- template<bool stable, bool exact, typename RandomAccessIterator , typename Comparator > void __gnu_parallel::parallel_sort_mwms_pu (PMWMSSortingData< RandomAccessIterator > *sd, Comparator &comp)

## Detailed Description

Parallel multiway merge sort. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file multiway_mergesort.h.